Bug 1195736 - [Fedora] RFE: alphabetical pages selection for project list than page numbers
Summary: [Fedora] RFE: alphabetical pages selection for project list than page numbers
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Usability
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 13:32 UTC by Noriko Mizumoto
Modified: 2015-07-28 23:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:13:44 UTC


Attachments (Terms of Use)
project search field in the menu (154.73 KB, image/png)
2015-02-25 06:40 UTC, Noriko Mizumoto
no flags Details

Description Noriko Mizumoto 2015-02-24 13:32:00 UTC
Description of problem:
It would be nice to have the alphabetical selection than the page numbering selection for project listing. For example, to search 'system-config-printer', I have to click at least a few times the page numbers randomly on top to list the projects beginning with 's'. It is impossible to display the list of the projects starting with 's' with one click. 

How reproducible:

Steps to Reproduce:
1. To search 'system-config-printer', I have to guess which number of page containing the list starting with 's'
2. Most likely guessing is not correct, so that I have to try again to narrow down
3.

Actual results:
Most likely I can not find particular project via one click, unless it starts with 'A'. 

Expected results:
If I can click an alphabet to search, one click can show the list I am looking for.

Additional info:
As more projects registered, more guessing and clicking be required.
In addition, as admin, default setting hide 'archived' projects. With admin perspective, default setting should show 'archived' projects instead hiding.

Comment 1 peartown 2015-02-24 19:09:06 UTC
Hi Noriko,
As a certain workaround, I use project search field. I somehow have already learnt to use it in the translate.zanata.org instance. I know, not very relevant, but may be helpful in the meantime.

Comment 2 Noriko Mizumoto 2015-02-25 06:40:57 UTC
Created attachment 994998 [details]
project search field in the menu

Hi peartown
Thanks for your tip!
Btw, I found another bug in translate.zanata.org (Zanata 3.5.1 (git-server-3.5.1)). The project search field does not let me type, thus I have to copy and paste the string into it. I attach the screenshot.

How to reproduce;
1. Click the icon located left top to go to project search field
2. Dropdown menu appears
3. Click the search field located top of the menu
4. The menu disappears

This does not apply fedora.zanata.org.

Comment 3 Luke Brooker 2015-02-26 02:17:41 UTC
(In reply to Noriko Mizumoto from comment #2)

Hi Noriko,

I have fixed your bug in this comment above. It was only a problem on smaller screen that used the menu. Thanks for finding that.

In regards to the original request (alphabetical selection), I am working on a new project listing screen which I am looking more from a browsing perspective.

So rather than trying to find a particular project on this page, it would be more for discovering new and interesting projects. Finding projects directly would be what search is used for.

This makes more sense for http://translate.zanata.org but I would be interested in ideas that would improve it for the Fedora instance.

Here is what I came up with originally: assets-zanata.rhcloud.com/master/projects/

Although I will be improving/changing this again slightly.

Comment 4 Zanata Migrator 2015-07-28 23:13:44 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-70


Note You need to log in before you can comment on or make changes to this bug.